Public Class entMainProduct : Inherits entMainDropDown
#Region "Private Field"
    Private intProductID As Integer
    Private strProductName As String
    Private strProductDesc1 As String
    Private strProductDesc2 As String
    Private strProductDesc3 As String
    Private strMainImage As String
    Private strMediumImage As String
    Private strThumbImage As String
    Private decProductPrice As Decimal
    Private strProductPriceText As String
    Private intActive As Integer
    Private intDeleted As Integer
    Private strCreatedBy As String
    Private strCreatedDate As String
    Private strDeletedBy As String
    Private strDeletedDate As String
    Private strModifiedBy As String
    Private strModifiedDate As String
    Private intShowPrice As Integer
    Private strCategoryTrail As String

#End Region
#Region "Public Properties"
    Public Property ProductID() As Integer
        Get
            Return intProductID
        End Get
        Set(ByVal value As Integer)
            intProductID = value
        End Set
    End Property

    Public Property CategoryTrail() As String
        Get
            Return strCategoryTrail
        End Get
        Set(ByVal value As String)
            strCategoryTrail = value
        End Set
    End Property

    Public Property ProductName() As String
        Get
            Return strProductName
        End Get
        Set(ByVal value As String)
            strProductName = value
        End Set
    End Property
    Public Property ProductDesc1() As String
        Get
            Return strProductDesc1
        End Get
        Set(ByVal value As String)
            strProductDesc1 = value
        End Set
    End Property
    Public Property ProductDesc2() As String
        Get
            Return strProductDesc2
        End Get
        Set(ByVal value As String)
            strProductDesc2 = value
        End Set
    End Property
    Public Property ProductDesc3() As String
        Get
            Return strProductDesc3
        End Get
        Set(ByVal value As String)
            strProductDesc3 = value
        End Set
    End Property
    Public Property ProductPrice() As Decimal
        Get
            Return decProductPrice
        End Get
        Set(ByVal value As Decimal)
            decProductPrice = value
        End Set
    End Property
    Public Property ProductPriceText() As String
        Get
            Return strProductPriceText
        End Get
        Set(ByVal value As String)
            strProductPriceText = value
        End Set
    End Property

    Public Property MainImage() As String
        Get
            Return strMainImage
        End Get
        Set(ByVal value As String)
            strMainImage = value
        End Set
    End Property
    Public Property MediumImage() As String
        Get
            Return strMediumImage
        End Get
        Set(ByVal value As String)
            strMediumImage = value
        End Set
    End Property
    Public Property ThumbImage() As String
        Get
            Return strThumbImage
        End Get
        Set(ByVal value As String)
            strThumbImage = value
        End Set
    End Property
    Public Property ShowProductPriceOnWebsite() As Integer
        Get
            Return intShowPrice
        End Get
        Set(ByVal value As Integer)
            intShowPrice = value
        End Set
    End Property
    Public Property Active() As Integer
        Get
            Return intActive
        End Get
        Set(ByVal value As Integer)
            intActive = value
        End Set
    End Property
    Public Property Deleted() As Integer
        Get
            Return intDeleted
        End Get
        Set(ByVal value As Integer)
            intDeleted = value
        End Set
    End Property
    Public Property CreatedBy() As String
        Get
            Return strCreatedBy
        End Get
        Set(ByVal value As String)
            strCreatedBy = value
        End Set
    End Property
    Public Property CreatedDate() As String
        Get
            Return strCreatedDate
        End Get
        Set(ByVal value As String)
            strCreatedDate = value
        End Set
    End Property
    Public Property DeletedBy() As String
        Get
            Return strDeletedBy
        End Get
        Set(ByVal value As String)
            strDeletedBy = value
        End Set
    End Property
    Public Property DeletedDate() As String
        Get
            Return strDeletedDate
        End Get
        Set(ByVal value As String)
            strDeletedDate = value
        End Set
    End Property
    Public Property ModifiedBy() As String
        Get
            Return strModifiedBy
        End Get
        Set(ByVal value As String)
            strModifiedBy = value
        End Set
    End Property
    Public Property ModifiedDate() As String
        Get
            Return strModifiedDate
        End Get
        Set(ByVal value As String)
            strModifiedDate = value
        End Set
    End Property
#End Region
End Class
